Plank.ApplicationDockItem.parse_launcher – plank Reference Manual

# parse_launcher

## Description:

public static void parse_launcher (string launcher, out string icon, out string text, ArrayList<string>? actions = null, Map<string,string>? actions_map = null, ArrayList<string>? mimes = null)

Parses a launcher to get the text, icon and actions.

## Parameters:

launcher | the launcher file (.desktop file) to parse
icon | the icon key from the launcher
text | the text key from the launcher
actions | a list of all actions by name
actions_map | a map of actions from name to exec;;icon
mimes | a list of all supported mime types